figure(22+offsetter)
f = xlsread('hsu_ford_2019_table_2_processed.xlsx');
rlist = unique(f(:,2));
max_period_list = [0.8,1.5,3,7,15,31,63,127,255]
for max_period_index = [2:length(max_period_list)]%[63]%days (exclude the 64-128 day period bin)
    max_period = max_period_list(max_period_index);
for l = 1:length(rlist)
        sum_over_periods(l,max_period_index) = nansum(f(rlist(l)==f(:,2) & f(:,1)>max_period_list(max_period_index-1) & f(:,1)< max_period,3));
end
adjusted_sum_over_periods(:,max_period_index) = sum_over_periods(:,max_period_index)./[diff(rlist);4];
figure(22+offsetter); 
plot((rlist+[rlist(2:end);16])/2,adjusted_sum_over_periods(:,max_period_index)./(2.5*(sum(adjusted_sum_over_periods(7:11,max_period_index)))), ...
    'LineWidth',2)
hold on
end
legend(num2str(max_period_list'));clear sum_over_periods adjusted_sum_over_periods

figure(5+offsetter); title('Figure to show H2 fugacity coefficient as a function of T and P')
plot(fP,fH,'color','k');
set(gca,'yscale','log')
set(gca,'xscale','log')
xlim([.1 80]*1e8);set(gcf,'color','white');set(gca,'fontsize',18);xlabel('Pressure (Pa)');ylabel('H_2 fugacity coefficient')
legend(num2str(Tmai))

figure(50+offsetter); title('Figure to show H2 fugacity as a function of T and P')
plot(fP,fP.*fH,'linewidth',2); hold on
line([1e7 1e10],[1e7 1e10],'color',[.7 .7 .7],'linewidth',2)
set(gca,'yscale','log')
set(gca,'xscale','log')
xlim([.1 80]*1e8);set(gcf,'color','white');set(gca,'fontsize',18);xlabel('Pressure (Pa)');ylabel('H_2 fugacity (Pa)')
legend({num2str(Tmai),'Ideal gas'})

figure(4+offsetter);title('Ideal vs non-ideal dissolution of H2 in magma');
scatter(10,0.19/100,100,'r*');
hold on
plot(fP,min(max_h2_mf_in_melt,sH2.*fP./1e5.*fH));
plot(fP,min(max_h2_mf_in_melt,sH2.*fP./1e5));
xlabel('Pressure (kbars)');ylabel('Mass fraction of H_2 dissolved in magma');
title(strcat('T = ',num2str(Tmai),' K'));set(gcf,'color','white');set(gcf,'color','white')
xlim([0 100]);

figure(1+offsetter);
line([1e-8 0.3],[1e-8 0.15],'linewidth',2,'color',[.7 .7 .7])
h=text(0.015,0.01,'50% of H_2 stored in magma','color',[.7 .7 .7],'FontSize',15)
set(h,'rotation',65)
line([1e-8 0.3],[1e-8 0.3],'linewidth',3,'color','k') %Impermeable core, all H2 in envelope
h=text(0.01,0.02,'Impermeable core','color','k','FontSize',15)
set(h,'rotation',75)
line([1e-8 0.6],[1e-8 0.06],'linewidth',2,'color',[.7 .7 .7])
h=text(0.15,0.013,'90% of H_2 stored in magma','color',[.7 .7 .7],'FontSize',15)
set(h,'rotation',22.5)
line([1e-8 0.6],[1e-8 0.03],'linewidth',2,'color',[.7 .7 .7])
h=text(0.15,0.006,'95% of H_2 stored in magma','color',[.7 .7 .7],'FontSize',15)
set(h,'rotation',12)
ylim([0 0.05]); xlim([0 0.35])
 xlabel('Total H_2 added (fraction of core mass)');ylabel('H_2 in envelope (fraction of core mass)')
box on; set(gcf,'color','white');set(gca,'fontsize',15)